import javafx.scene.Scene;
import javafx.scene.paint.ImagePattern;
import javafx.scene.image.Image;
import javafx.scene.paint.Color;
import javafx.animation.FillTransition;  


public class Level{
    public Level(Scene _lvl){
        level = _lvl;
    }
    public void levelTransition(int score){
        switch (score) {
            case 0:
                level.setFill(Color.GAINSBORO);
                white = true;
                break;
            case 8:
                One();
                break;
            case 16:
                Two();
                break;
            case 24:
                Three();
                break;
            default:
                break;
        }
    }
    public boolean isWhite(){
        return white;
    }
    public void One(){
        level.setFill(new ImagePattern(new Image("img/lvl/1.png")));
        white = false;
    }
    public void Two(){
        level.setFill(new ImagePattern(new Image("img/lvl/2.png")));
        white = false;
    }
    public void Three(){
        level.setFill(new ImagePattern(new Image("img/lvl/3.png")));
        white = false;
    }
    private Scene level;
    private boolean white;
}